[Testing Update] 2018-04-30 - Kernels, Trizen, Compiz

update
testing

#1

Hi community,

welcome to another testing update of Manjaro. Mostly we worked yesterday on our toolchain. This includes the following changes:

The new version of glibc removes support for NIS and NIS+. The default /etc/nsswitch.conf file provided by filesystem package already reflects this change. Please make sure to merge pacnew file if it exists prior to upgrade.

NIS functionality can still be enabled by installing libnss_nis package. There is no replacement for NIS+ in the official repositories.

Additionally we updated pam. pam 1.3.0-2 no longer ships pam_unix2 module and pam_unix_*.so compatibility symlinks. Before upgrading, review PAM configuration files in the /etc/pam.d directory and replace removed modules with pam_unix.so. Users of pam_unix2 should also reset their passwords after such change. Defaults provided by pambase package do not need any modifications.

Other changes are:

  • updated kernels
  • trizen as AUR helper added
  • fixes to Compiz

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.56
  • linux318 3.18.107 [EOL]
  • linux41 4.1.51
  • linux44 4.4.130
  • linux49 4.9.97
  • linux414 4.14.38
  • linux415 4.15.18 [EOL]
  • linux416 4.16.6
  • linux417 4.17-rc3
  • linux-rt 4.14.34_rt27

Package Updates (Mon Apr 30 08:03:14 CEST 2018)

  • testing community x86_64: 6 new and 4 removed package(s)
  • testing core x86_64: 8 new and 8 removed package(s)
  • testing extra x86_64: 49 new and 49 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-04-29           2018-04-30
-------------------------------------------------------------------------------
                      compiz-manjaro     0.9.13.1.r4138-5     0.9.13.1.r4143-1
                  manjarin-gtk-theme                1.0-1           20180429-2
                              trizen                    -               1.48-1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-04-29           2018-04-30
-------------------------------------------------------------------------------
                       python-btchip             0.1.26-1             0.1.27-1
                      python2-btchip             0.1.26-1             0.1.27-1
                             psensor                    -              1.2.0-3


:: Different overlay package(s) in repository core x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-04-29           2018-04-30
-------------------------------------------------------------------------------
                            linux414            4.14.37-1            4.14.38-1
                    linux414-headers            4.14.37-1            4.14.38-1
                            linux416             4.16.5-1             4.16.6-1
                    linux416-headers             4.16.5-1             4.16.6-1
                        linux417 4.17.r180429.cdface5-2 4.17.r180430.6da6c0d-1
                linux417-headers 4.17.r180429.cdface5-2 4.17.r180430.6da6c0d-1
                             linux49             4.9.96-1             4.9.97-1
                     linux49-headers             4.9.96-1             4.9.97-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-04-29           2018-04-30
-------------------------------------------------------------------------------
                  linux414-acpi_call             1.1.0-34             1.1.0-35
                   linux414-bbswitch               0.8-34               0.8-35
                linux414-broadcom-wl      6.30.223.271-34      6.30.223.271-35
                   linux414-catalyst     1:15.201.1151-34     1:15.201.1151-35
                linux414-ndiswrapper              1.61-34              1.61-35
                     linux414-nvidia           1:396.18-5           1:396.18-6
               linux414-nvidia-304xx         1:304.137-34         1:304.137-35
               linux414-nvidia-340xx           340.106-22           340.106-23
                   linux414-nvidiabl              0.88-34              0.88-35
                      linux414-r8168          8.045.08-22          8.045.08-23
                  linux414-rt3562sta        2.4.1.1_r4-34        2.4.1.1_r4-35
                        linux414-spl              0.7.8-6              0.7.8-7
                   linux414-tp_smapi              0.41-34              0.41-35
                linux414-vhba-module          20161009-34          20161009-35
   linux414-virtualbox-guest-modules             5.2.10-3             5.2.10-4
    linux414-virtualbox-host-modules             5.2.10-3             5.2.10-4
                        linux414-zfs              0.7.8-6              0.7.8-7
                  linux416-acpi_call              1.1.0-4              1.1.0-5
                   linux416-bbswitch                0.8-4                0.8-5
                linux416-broadcom-wl       6.30.223.271-4       6.30.223.271-5
                   linux416-catalyst      1:15.201.1151-4      1:15.201.1151-5
                linux416-ndiswrapper               1.61-4               1.61-5
                     linux416-nvidia           1:396.18-4           1:396.18-5
               linux416-nvidia-304xx          1:304.137-4          1:304.137-5
               linux416-nvidia-340xx            340.106-4            340.106-5
                   linux416-nvidiabl               0.88-4               0.88-5
                      linux416-r8168           8.045.08-4           8.045.08-5
                        linux416-spl              0.7.8-3              0.7.8-4
                   linux416-tp_smapi               0.41-4               0.41-5
                linux416-vhba-module           20161009-4           20161009-5
   linux416-virtualbox-guest-modules             5.2.10-3             5.2.10-4
    linux416-virtualbox-host-modules             5.2.10-3             5.2.10-4
                        linux416-zfs              0.7.8-3              0.7.8-4
                  linux417-acpi_call            1.1.0-0.9           1.1.0-0.10
                   linux417-bbswitch              0.8-0.9             0.8-0.10
                linux417-broadcom-wl     6.30.223.271-0.9    6.30.223.271-0.10
                   linux417-catalyst    1:15.201.1151-0.9   1:15.201.1151-0.10
                linux417-ndiswrapper             1.61-0.9            1.61-0.10
                     linux417-nvidia         1:396.18-0.9        1:396.18-0.10
               linux417-nvidia-304xx        1:304.137-0.9       1:304.137-0.10
               linux417-nvidia-340xx          340.106-0.9         340.106-0.10
                   linux417-nvidiabl             0.88-0.9            0.88-0.10
                      linux417-r8168         8.045.08-0.9        8.045.08-0.10
                        linux417-spl            0.7.8-0.9           0.7.8-0.10
                   linux417-tp_smapi             0.41-0.9            0.41-0.10
                linux417-vhba-module         20161009-0.9        20161009-0.10
   linux417-virtualbox-guest-modules           5.2.10-0.9          5.2.10-0.10
    linux417-virtualbox-host-modules           5.2.10-0.9          5.2.10-0.10
                        linux417-zfs            0.7.8-0.9           0.7.8-0.10

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


[Stable Review] 2018-05-05 - Kernels, Plasma5, Nvidia, Mesa, GlibC, Firefox, Deepin
#2

This is a wiki post; please edit as necessary.


There is a long wait for SDDM greeter to show up.

Install and enable haveged

sudo pacman -S haveged
sudo systemctl enable haveged

PC hangs at blackscreen for 30s at restart after 173 updates were performed
#3

#4

Issue during install with vertex-theme:

:: Starte vollständige Systemaktualisierung...
:: vertex-themes durch community/vertex-theme ersetzen? [J/n] 
:: vertex-themes durch community/vertex-theme-dev ersetzen? [J/n] 
Löse Abhängigkeiten auf...
Suche nach in Konflikt stehenden Paketen...
Fehler: Nicht auflösbare Paketkonflikte gefunden
Fehler: Konnte den Vorgang nicht vorbereiten (In Konflikt stehende Abhängigkeiten)
:: vertex-theme-dev und vertex-theme stehen miteinander in Konflikt
=>> Try again? [y/N]:

I had to deinstall vertex-theme before the update and reinstall afterwards.

Other than that the update is running fine: linux416+zfs+nvidia+gnome


#5

@oberon: maybe only say vertex-theme replaces the vertex-themes and let the dev package only conflict with vertex-theme.


#6

No real issues except for these messages:
waarschuwing:/etc/passwd is geïnstalleerd als /etc/passwd.pacnew
waarschuwing:/etc/gshadow is geïnstalleerd als /etc/gshadow.pacnew
waarschuwing:/etc/fstab is geïnstalleerd als /etc/fstab.pacnew
waarschuwing:/etc/resolv.conf is geïnstalleerd als /etc/resolv.conf.pacnew
waarschuwing:/etc/shells is geïnstalleerd als /etc/shells.pacnew
waarschuwing:/etc/shadow is geïnstalleerd als /etc/shadow.pacnew
waarschuwing:/etc/crypttab is geïnstalleerd als /etc/crypttab.pacnew
waarschuwing:/etc/hosts is geïnstalleerd als /etc/hosts.pacnew
waarschuwing:/etc/group is geïnstalleerd als /etc/group.pacnew

Can i ignore them ?


#7

How do I know if a module has been removed? Will it show in pacman status and logs?


#8

Most just have different default comments for those files. Nothing really important changed, so you should be able to ignore them I think.

/etc/locale.gen.pacnew has some new locales however. I already merged my files so I can’t remember now what got added.

/etc/php/php.conf.pacnew has a different default setting (mail.add_x_header = Off). There’s probably other changes depending on what you have installed.


#9

For pam_unix.so, it’s pam_unix2 and pam_unix_*.so are not supported anymore.
Check grep -rn 'pam_unix[2_]' /etc/pam.d, if no output, you need to do nothing.


#10

Make sure to read this first.

https://wiki.manjaro.org/index.php?title=Pacnew_and_Pacsave_Files


#11

Just a tip. I use pacdiff with meld. It is super handy.
IIRC

sudo DIFFPROG=meld pacdiff

#12

Yesterday I decided to switch from Stable to Testing, as Stable was too boring! :grin: Just now I did my first update on Testing and what should I say?! It’s still boring, there are no issues so far! :wink: :+1:


#13

The -dev pkg was just briefly to test some changes in the cinnamon theme. It’s gone already :wink:


#14

Ah I see. I had forgotten to remove the ‘replaces’ array in the -dev pkg, sorry.
Anyway. Removed already. :+1:


#15

Issue during install with vertex-theme; say No, an all run. :wink:


#16

Lots of messages during update-grub procedure like:

File descriptor 6 (socket:[5537408]) leaked on vgs invocation. Parent PID 3758: /usr/bin/grub-probe
File descriptor 7 (socket:[5545477]) leaked on vgs invocation. Parent PID 3758: /usr/bin/grub-probe

It’s since previous testing update.
I know it’s just a cosmetic thing. Just wanted to note everything that seemed strange to me.


#17

Good update on xfce 4.17. Also updated 2 vm’s one on gnome and the other awesome


#18

I decided to check logs (dmesg), and here what I’ve found there:

i2c_hid i2c-ETD2303:00: i2c_hid_get_input: incomplete report (14/65535)

It appears again and again, and I have no idea what is causing this.


#19

For those who have crashes on Cinnamon at the moment.

Arch had this problem too. https://bbs.archlinux.org/viewtopic.php?id=236586

Reported on Github. https://github.com/linuxmint/Cinnamon/issues/7522

According to one guy, reverting a particular commit could solve the problem. https://github.com/linuxmint/Cinnamon/commit/fa9a5c78bfbb6c15b126bf1d79f7d816fecb7b36


#20

sudo pacman -U https://pkgbuild.com/~eschwartz/cinnamon-3.8.0-1.1-x86_64.pkg.tar.xz

^^ This package has the commit reverted. Let us see if that helps.